summaryrefslogtreecommitdiffstats
path: root/regressions
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2009-07-21 11:00:47 +0100
committerRichard W.M. Jones <rjones@redhat.com>2009-07-21 11:18:34 +0100
commite315e0723ec8c2f84809f06d7f2ede4955dd6c67 (patch)
tree6ab1add695fea97184a3aa0680084c4f2c220a1b /regressions
parentf6eb8d44942c3d550c72933c406905f2cb86278d (diff)
downloadlibguestfs-e315e0723ec8c2f84809f06d7f2ede4955dd6c67.tar.gz
libguestfs-e315e0723ec8c2f84809f06d7f2ede4955dd6c67.tar.xz
libguestfs-e315e0723ec8c2f84809f06d7f2ede4955dd6c67.zip
Generator: Implement RBufferOut and "read-file" call.
This commit implements the RBufferOut type for returning arbitrary 8 bit data from calls. We also implement the guestfs_read_file call to read a whole file that can contain any 8 bit content, but up to a limit of ~ 2 MB.
Diffstat (limited to 'regressions')
-rw-r--r--regressions/Makefile.am1
-rwxr-xr-xregressions/test-read_file.sh34
2 files changed, 35 insertions, 0 deletions
diff --git a/regressions/Makefile.am b/regressions/Makefile.am
index 0e0d5204..12c4e80c 100644
--- a/regressions/Makefile.am
+++ b/regressions/Makefile.am
@@ -29,6 +29,7 @@ TESTS = \
test-qemudie-midcommand.sh \
test-qemudie-killsub.sh \
test-qemudie-synch.sh \
+ test-read_file.sh \
test-remote.sh \
test-reopen.sh
diff --git a/regressions/test-read_file.sh b/regressions/test-read_file.sh
new file mode 100755
index 00000000..33759b83
--- /dev/null
+++ b/regressions/test-read_file.sh
@@ -0,0 +1,34 @@
+#!/bin/sh -
+# libguestfs
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Test read_file call.
+
+set -e
+
+rm -f test.out
+
+../fish/guestfish <<'EOF' > test.out
+add-ro ../images/test.sqsh
+run
+mount /dev/sda /
+read-file /helloworld.tar
+EOF
+
+cmp ../images/helloworld.tar test.out
+
+rm -f test.out \ No newline at end of file